4.0 DTD

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

4.0 DTD

Gregg D Bolinger
I am correct in assuming that the DTD for 4.0 should point at 3.1?  

<!DOCTYPE application
PUBLIC "-//Apache Software Foundation//Tapestry Specification 3.1//EN"
"http://jakarta.apache.org/tapestry/dtd/Tapestry_3_1.dtd">

Gregg

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: 4.0 DTD

Gregg D Bolinger
Well, I found this in the documentation.  It states they should say
4.0 instead of 3.1 but when I do a Fetch External Resource in IDEA, it
can't find 4.0 but it does find 3.1.  Do I need to manually point to
the 4.0 DTD files?

Thanks.

On 5/6/05, Gregg D Bolinger <[hidden email]> wrote:
> I am correct in assuming that the DTD for 4.0 should point at 3.1?
>
> <!DOCTYPE application
> PUBLIC "-//Apache Software Foundation//Tapestry Specification 3.1//EN"
> "http://jakarta.apache.org/tapestry/dtd/Tapestry_3_1.dtd">
>
> Gregg
>

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: 4.0 DTD

Erik Hatcher
In reply to this post by Gregg D Bolinger

On May 6, 2005, at 4:27 PM, Gregg D Bolinger wrote:

> I am correct in assuming that the DTD for 4.0 should point at 3.1?
>
> <!DOCTYPE application
> PUBLIC "-//Apache Software Foundation//Tapestry Specification 3.1//EN"
> "http://jakarta.apache.org/tapestry/dtd/Tapestry_3_1.dtd">

For the record, the 3.0 DTD still works fine with Tapestry 4.0, so  
there is no need to change your DTD necessarily.

That being said, I haven't investigated whether the 4.0 is online or  
what it takes to put it online properly.  My app deploys properly  
using internal DTD resolution though - I'm not using IDE DTD  
resolution at the moment.

     Erik


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: 4.0 DTD

Howard Lewis Ship
The 4.0 documentation is installed into jakarta.apache.org/tapestry/current.

Just need to copy tapestry/current/dtd/Tapestry_4_0.dtd to tapestry/dtd.

On 5/6/05, Erik Hatcher <[hidden email]> wrote:

>
> On May 6, 2005, at 4:27 PM, Gregg D Bolinger wrote:
>
> > I am correct in assuming that the DTD for 4.0 should point at 3.1?
> >
> > <!DOCTYPE application
> > PUBLIC "-//Apache Software Foundation//Tapestry Specification 3.1//EN"
> > "http://jakarta.apache.org/tapestry/dtd/Tapestry_3_1.dtd">
>
> For the record, the 3.0 DTD still works fine with Tapestry 4.0, so
> there is no need to change your DTD necessarily.
>
> That being said, I haven't investigated whether the 4.0 is online or
> what it takes to put it online properly.  My app deploys properly
> using internal DTD resolution though - I'm not using IDE DTD
> resolution at the moment.
>
>      Erik
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>
>


--
Howard M. Lewis Ship
Independent J2EE / Open-Source Java Consultant
Creator, Jakarta Tapestry
Creator, Jakarta HiveMind

Professional Tapestry training, mentoring, support
and project work.  http://howardlewisship.com

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: 4.0 DTD

Gregg D Bolinger
Has anyone done this yet?

Gregg

On 5/8/05, Howard Lewis Ship <[hidden email]> wrote:

> The 4.0 documentation is installed into jakarta.apache.org/tapestry/current.
>
> Just need to copy tapestry/current/dtd/Tapestry_4_0.dtd to tapestry/dtd.
>
> On 5/6/05, Erik Hatcher <[hidden email]> wrote:
> >
> > On May 6, 2005, at 4:27 PM, Gregg D Bolinger wrote:
> >
> > > I am correct in assuming that the DTD for 4.0 should point at 3.1?
> > >
> > > <!DOCTYPE application
> > > PUBLIC "-//Apache Software Foundation//Tapestry Specification 3.1//EN"
> > > "http://jakarta.apache.org/tapestry/dtd/Tapestry_3_1.dtd">
> >
> > For the record, the 3.0 DTD still works fine with Tapestry 4.0, so
> > there is no need to change your DTD necessarily.
> >
> > That being said, I haven't investigated whether the 4.0 is online or
> > what it takes to put it online properly.  My app deploys properly
> > using internal DTD resolution though - I'm not using IDE DTD
> > resolution at the moment.
> >
> >      Erik
> >
> >
> > ---------------------------------------------------------------------
> > To unsubscribe, e-mail: [hidden email]
> > For additional commands, e-mail: [hidden email]
> >
> >
>
> --
> Howard M. Lewis Ship
> Independent J2EE / Open-Source Java Consultant
> Creator, Jakarta Tapestry
> Creator, Jakarta HiveMind
>
> Professional Tapestry training, mentoring, support
> and project work.  http://howardlewisship.com
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>
>

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]